#!/usr/bin/env ansible-playbook
#
# @description Initialize server to host imagine-moi.com website
#
# Run with:
# ./playbooks/imagine-moi.com.yml
#

- hosts: imagine-moi.com
  remote_user: root
  gather_facts: no
  vars:
    wpmedias_archive_name: imaginemoi_medias
    wpmedias_upload_path: /home/imagine-moi.com/public/wp-content/uploads
  tasks:
    - name: Prepare MariaDB
      include_role:
        name: mariadb
      vars:
        mariadb_root_username: "{{ imaginemoi.mariadb_root.username }}"
        mariadb_root_password: "{{ imaginemoi.mariadb_root.password }}"
        mariadb_database: "{{ imaginemoi.mariadb.database }}"
        mariadb_username: "{{ imaginemoi.mariadb.username }}"
        mariadb_password: "{{ imaginemoi.mariadb.password }}"
        mariadb_backup: true
        mariadb_backup_username: "{{ imaginemoi.mariadb_backup.username }}"
        mariadb_backup_password: "{{ imaginemoi.mariadb_backup.password }}"

    - name: "Install WPMedias backup policy"
      template:
        src: ../templates/wpmedias.logrotate.j2
        dest: /etc/logrotate.d/wpmedias-backup-{{ wpmedias_archive_name  }}

    - name: Generate let's encrypt certificate for "imagine-moi.com"
      include_role:
        name: certbot
      vars:
        domain: '{{ imaginemoi.domain }}'
        email: 's.hulard@chstudio.fr'
        renew:
          pre_hook: service nginx stop
          post_hook: service nginx start

    - name: Install Nginx
      include_role:
        name: nginx
